1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Installing module

Discussion in 'Plesk for Linux - 8.x and Older' started by pippin, Nov 5, 2007.

  1. pippin

    pippin Guest

    0
     
    Where can i download acronis?
    i have a licence but dont know how to download it
     
  2. pippin

    pippin Guest

    0
     
    I have now tried to install but it fails.

    ln: creating symbolic link `/root/Desktop/TrueImage.desktop' to `/usr/lib/Acronis/TrueImageServer/TrueImage.desktop': No such file or directory
    /var/tmp/rpm-tmp.77728: line 8: chkconfig: command not found
    Launching '/usr/sbin/dkms install -m snapapi26 -v 0.7.10 2>&1'.

    Error! DKMS tree does not contain: snapapi26-0.7.10
    Build cannot continue without the proper tree.

    Launching '/usr/sbin/dkms ldtarball --force --archive /usr/lib/Acronis/kernel_modules/snapapi26-0.7.10-all.tar.gz 2>&1'.

    Warning! This tarball was created with dkms < 2.0 and contains
    no arch info. DKMS will assume the arch: i686

    Loading tarball for module: snapapi26 / version: 0.7.10

    Loading /usr/src/snapapi26-0.7.10...
    Creating /var/lib/dkms/snapapi26/0.7.10/source symlink...

    DKMS: ldtarball Completed.

    Launching '/usr/sbin/dkms install -m snapapi26 -v 0.7.10 2>&1'.

    Error! Could not locate snapapi26.ko for module snapapi26 in the DKMS tree.
    You must run a dkms build for kernel 2.6.18-5-486 (i686) first.


    Error! Your kernel source for kernel 2.6.18-5-486 cannot be found at
    /lib/modules/2.6.18-5-486/build or /lib/modules/2.6.18-5-486/source.
    You can use the --kernelsourcedir option to tell DKMS where it's located.
    exited with status 1.
    Acronis True Image Server Setup failed to build kernel modules. Consult /var/log/trueimage-setup.log and /var/lib/dkms/snapapi26/0.7.10/build/make.log for error messages.


    I have a i.386 based system before i get my new server as will be shipped tomorrow
     
  3. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    sounds to me like you're using the wrong RPM for your system. What distribution are you using?
     
  4. pippin

    pippin Guest

    0
     
    i am using Debian Etch on a i386 based system before i get my server this week,then it will be on a debian etch i686 based system with xeon
     
  5. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    yep, you're using the wrong package. Debian doesn't use rpms.
     
  6. pippin

    pippin Guest

    0
     
    where can i download debian packages then?
     
  7. atomicturtle

    atomicturtle Golden Pleskian

    29
     
    Joined:
    Nov 20, 2002
    Messages:
    2,110
    Likes Received:
    7
    Location:
    Washington, DC
    no idea, I dont run debian. Maybe one of the debian users can help you out
     
  8. pippin

    pippin Guest

    0
     
    I think i must compile and dont know how to do it , is it a manual for compiling somewhere?
     
  9. help999

    help999 Guest

    0
     
    I received the same error message in my Fedora Core 5. I had copied kernel-2.6.15-1.2054_FC5.i586.rpm
    kernel-2.6.15-1.2054_FC5.src.rpm
    kernel-smp-2.6.15-1.2054_FC5.i686.rpm
    kernel-2.6.15-1.2054_FC5.i686.rpm
    kernel-devel-2.6.15-1.2054_FC5.i586.rpm
    kernel-smp-devel-2.6.15-1.2054_FC5.i686.rpm
    kernel-2.6.15-1.2054_FC5smp.i586.rpm
    kernel-devel-2.6.15-1.2054_FC5.i686.rpm
    kernel-2.6.15-1.2054_FC5smp.i686.rpm
    kernel-doc-2.6.15-1.2054_FC5.noarch.rpm

    into /lib/modules/<kernal_version>/build but I received the same error.
    What can be the problem?


    --------error ------------------
    Warning! This tarball was created with dkms < 2.0 and contains
    no arch info. DKMS will assume the arch: i686

    Loading tarball for module: snapapi26 / version: 0.7.10

    Loading /usr/src/snapapi26-0.7.10...
    Creating /var/lib/dkms/snapapi26/0.7.10/source symlink...

    DKMS: ldtarball Completed.

    Launching '/usr/sbin/dkms install -m snapapi26 -v 0.7.10 2>&1'.

    Error! Could not locate snapapi26.ko for module snapapi26 in the DKMS tree.
    You must run a dkms build for kernel 2.6.15-1.2054_FC5smp (i686) first.

    Error! Your kernel source for kernel 2.6.15-1.2054_FC5smp cannot be found at
    /lib/modules/2.6.15-1.2054_FC5smp/build or /lib/modules/2.6.15-1.2054_FC5smp/source.
    You can use the --kernelsourcedir option to tell DKMS where it's located.
    exited with status 1.

    ------------------ error -----------------------
     
Loading...